
QGIS Application - Bug report #17916

Crashes and instability with qt 5.10

2018-01-21 06:38 PM - Ger CO

Status: Closed

Priority: High

Assignee:

Category: GUI

Affected QGIS version:master Regression?: Yes

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 25812

Description

When opening the any vector layer's properties (double click or right click--> properties) that action freezes the application.

Related issues:

Duplicated by QGIS Application - Bug report # 18096: [2.99/3 ec86fcb] Layer p... Closed 2018-02-14

History

#1 - 2018-01-21 09:16 PM - Nyall Dawson

- Status changed from Open to Feedback

Will need more debugging details here - it's not an issue on most installs

#2 - 2018-01-22 09:48 PM - Ger CO

Nyall Dawson wrote:

Will need more debugging details here - it's not an issue on most installs

I am on Arch 64bit. Last terminal entries were:

Warning: Empty filename passed to function

Warning 4: Failed to open /opt/qgis-git/share/qgis/resources/data/world_map.shp, Permission denied.

Warning 4: Failed to open /opt/qgis-git/share/qgis/resources/data/world_map.shp, Permission denied.

Warning 4: Failed to open /opt/qgis-git/share/qgis/resources/data/world_map.shp, Permission denied.

It is worth mentioning, that I did not import a shapefile named "world_map.shp".

QGIS3 (compilation date 20180121) crashes when trying to open the layer properties of other vector-based layers such as geopackages as well. Hope

that helps and thanks

#3 - 2018-01-23 01:40 AM - Mathieu Pellerin - nIRV

What is the build revision number (in the about QGIS window, or the main window title)?
#4 - 2018-01-23 10:06 AM - Jürgen Fischer

- Subject changed from QGIS3: Opening Vextor Layer Properties crashes QGIS to QGIS3: Opening Vector Layer Properties crashes QGIS

#5 - 2018-01-23 10:09 AM - Jürgen Fischer

Ger CO wrote:

Warning 4: Failed to open /opt/qgis-git/share/qgis/resources/data/world_map.shp, Permission denied.

It is worth mentioning, that I did not import a shapefile named "world_map.shp".

That's used for the CRS selection dialog.  Does it exists and is it readable at the given location?

#6 - 2018-01-23 06:16 PM - Ger CO

Thanks for your reply, I guess these lines popped up before the crash happens. the aforementioned shapefile is located under the specified location and

can be visualized in QGIS. Once trying to open the correpsonding layer properties, QGIS freezes.

My build number is commit:9451f2e412

Further install details are:

QGIS version 2.99.0-Master

QGIS code revision 9451f2e412

Compiled against Qt 5.10.0

Running against Qt 5.10.0

Compiled against GDAL/OGR 2.2.3

Running against GDAL/OGR 2.2.3

Compiled against GEOS 3.6.2-CAPI-1.10.2

Running against GEOS 3.6.2-CAPI-1.10.2 4d2925d6

PostgreSQL Client Version 10.1

SpatiaLite Version 4.3.0a

QWT Version 6.1.3

PROJ.4 Version 493

QScintilla2 Version 2.10.2

Jürgen Fischer wrote:

Ger CO wrote:

Warning 4: Failed to open /opt/qgis-git/share/qgis/resources/data/world_map.shp, Permission denied.

It is worth mentioning, that I did not import a shapefile named "world_map.shp".

That's used for the CRS selection dialog.  Does it exists and is it readable at the given location?

#7 - 2018-01-26 09:47 PM - Nyall Dawson

- Subject changed from QGIS3: Opening Vector Layer Properties crashes QGIS to Crashes and instability with qt 5.10
Related to general instability when built with qt 5.10

#8 - 2018-01-26 09:47 PM - Nyall Dawson

- Status changed from Feedback to Open

- Crashes QGIS or corrupts data changed from No to Yes

- Regression? changed from No to Yes

#9 - 2018-01-27 03:26 PM - Johannes Kroeger

#17943 and #17936 have some backtraces on similar (likely same culprit) crashes.

The world_map.shp warning should be completely unrelated.

#10 - 2018-01-27 05:41 PM - Niklas Moran

I'm also building with qt 5.10.

A full backtrace. Hope it helps.

Thread 7 (Thread 0x7fff5b363700 (LWP 11237)):

#0  0x00007fffe967197b in poll () at /usr/lib/libc.so.6

#1  0x00007fffe4be4ff3 in  () at /usr/lib/libglib-2.0.so.0

#2  0x00007fffe4be510e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0

#3  0x00007fffea766b71 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5

#4  0x00007fffea708d0b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5

#5  0x00007fffea51878e in QThread::exec() () at /usr/lib/libQt5Core.so.5

#6  0x00007fffea51db2d in  () at /usr/lib/libQt6Core.so.5

#7  0x00007fffe7aeb08c in start_thread () at /usr/lib/libpthread.so.0

#8  0x00007fffe967be7f in clone () at /usr/lib/libc.so.6

Thread 6 (Thread 0x7fffb2e3d700 (LWP 11218)):

#0  0x00007fffe967197b in poll () at /usr/lib/libc.so.6

#1  0x00007fffe4be4ff3 in  () at /usr/lib/libglib-2.0.so.0

#2  0x00007fffe4be510e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0

#3  0x00007fffea766b71 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5

#4  0x00007fffea708d0b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5

#5  0x00007fffea51878e in QThread::exec() () at /usr/lib/libQt5Core.so.5

#6  0x00007fffea51db2d in  () at /usr/lib/libQt5Core.so.5

#7  0x00007fffe7aeb08c in start_thread () at /usr/lib/libpthread.so.0

#8  0x00007fffe967be7f in clone () at /usr/lib/libc.so.6

Thread 5 (Thread 0x7fffb384f700 (LWP 11217)):

#0  0x00007fffe967197b in poll () at /usr/lib/libc.so.6

#1  0x00007fffe4be4ff3 in  () at /usr/lib/libglib-2.0.so.1

#2  0x00007fffe4be510e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0

#3  0x00007fffea766b71 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5

#4  0x00007fffea708d0b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5

#5  0x00007fffef2fa190 in QCA::SyncThread::run() () at /usr/lib/libqca-qt5.so.2

#6  0x00007fffea51db2d in  () at /usr/lib/libQt5Core.so.5

#7  0x00007fffe7aeb08c in start_thread () at /usr/lib/libpthread.so.0

#8  0x00007fffe967be7f in clone () at /usr/lib/libc.so.6
Thread 4 (Thread 0x7fffc4377700 (LWP 11208)):

#0  0x00007fffe967197b in poll () at /usr/lib/libc.so.6

#1  0x00007fffe4be4ff3 in  () at /usr/lib/libglib-2.0.so.0

#2  0x00007fffe4be510e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0

#3  0x00007fffea766b71 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5

#4  0x00007fffea708d0b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5

#5  0x00007fffea51878e in QThread::exec() () at /usr/lib/libQt5Core.so.5

#6  0x00007fffe40ea416 in  () at /usr/lib/libQt5DBus.so.5

#7  0x00007fffea51db2d in  () at /usr/lib/libQt5Core.so.5

#8  0x00007fffe7aeb08c in start_thread () at /usr/lib/libpthread.so.0

#9  0x00007fffe967be7f in clone () at /usr/lib/libc.so.6

Thread 3 (Thread 0x7fffd15bc700 (LWP 11207)):

#0  0x00007fffe967197b in poll () at /usr/lib/libc.so.6

#1  0x00007fffdaede8e0 in  () at /usr/lib/libxcb.so.1

#2  0x00007fffdaee0679 in xcb_wait_for_event () at /usr/lib/libxcb.so.1

#3  0x00007fffd3eef7aa in  () at /usr/lib/libQt5XcbQpa.so.5

#4  0x00007fffea51db2d in  () at /usr/lib/libQt5Core.so.5

#5  0x00007fffe7aeb08c in start_thread () at /usr/lib/libpthread.so.0

#6  0x00007fffe967be7f in clone () at /usr/lib/libc.so.6

Thread 2 (Thread 0x7fffd51e0700 (LWP 11201)):

#0  0x00007fffe7af13bd in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0

#1  0x00007fffe9f535bd in __gthread_cond_wait (__mutex=<optimized out>, __cond=<optimized out>) at

/build/gcc/src/gcc-build/x86_64-pc-linux-gnu/libstdc++-v3/include/x86_64-pc-linux-gnu/bits/gthr-default.h:864

        __e = <optimized out>

#2  0x00007fffe9f535bd in std::condition_variable::wait(std::unique_lock<std::mutex>&) (this=<optimized out>, __lock=...) at

/build/gcc/src/gcc/libstdc++-v3/src/c++11/condition_variable.cc:53

        __e = <optimized out>

#3  0x00007ffff2bddaa9 in  () at /usr/lib/libQt5WebKit.so.5

#4  0x00007ffff2bddbf9 in  () at /usr/lib/libQt5WebKit.so.5

#5  0x00007fffe9f59b9f in std::execute_native_thread_routine(void*) (__p=0x555555b53a00) at

/build/gcc/src/gcc/libstdc++-v3/src/c++11/thread.cc:83

        __t = std::unique_ptr<std::thread::_State> containing 0x555555b53a00

#6  0x00007fffe7aeb08c in start_thread () at /usr/lib/libpthread.so.0

#7  0x00007fffe967be7f in clone () at /usr/lib/libc.so.6

Thread 1 (Thread 0x7ffff7f2e880 (LWP 11186)):

#0  0x00007fffef6d6856 in QWidget::isAncestorOf(QWidget const*) const () at /usr/lib/libQt5Widgets.so.5

#1  0x00007fffef6e8723 in QWidgetPrivate::reparentFocusWidgets(QWidget*) () at /usr/lib/libQt5Widgets.so.5

#2  0x00007fffef6ef1c9 in QWidget::setParent(QWidget*, QFlags<Qt::WindowType>) () at /usr/lib/libQt5Widgets.so.5

#3  0x00007fffc45c490c in  () at /usr/lib/qt/plugins/styles/breeze.so

#4  0x00007fffc45e3333 in  () at /usr/lib/qt/plugins/styles/breeze.so

#5  0x00007fffef6ddf0b in QWidgetPrivate::setStyle_helper(QStyle*, bool, bool) () at /usr/lib/libQt5Widgets.so.5

#6  0x00007fffef6de39f in QWidgetPrivate::inheritStyle() () at /usr/lib/libQt5Widgets.so.5

#7  0x00007fffef6de0a9 in QWidgetPrivate::setStyle_helper(QStyle*, bool, bool) () at /usr/lib/libQt5Widgets.so.5

#8  0x00007fffef6de39f in QWidgetPrivate::inheritStyle() () at /usr/lib/libQt5Widgets.so.5

#9  0x00007fffef6de0a9 in QWidgetPrivate::setStyle_helper(QStyle*, bool, bool) () at /usr/lib/libQt5Widgets.so.5

#10 0x00007fffef6de39f in QWidgetPrivate::inheritStyle() () at /usr/lib/libQt5Widgets.so.5

#11 0x00007fffef6de0a9 in QWidgetPrivate::setStyle_helper(QStyle*, bool, bool) () at /usr/lib/libQt5Widgets.so.5

#12 0x00007fffef6de39f in QWidgetPrivate::inheritStyle() () at /usr/lib/libQt5Widgets.so.5

#13 0x00007fffef6de0a9 in QWidgetPrivate::setStyle_helper(QStyle*, bool, bool) () at /usr/lib/libQt5Widgets.so.5

#14 0x00007fffef6de39f in QWidgetPrivate::inheritStyle() () at /usr/lib/libQt5Widgets.so.5
#15 0x00007fffef6ef224 in QWidget::setParent(QWidget*, QFlags<Qt::WindowType>) () at /usr/lib/libQt5Widgets.so.5

#16 0x00007fffef6cb11f in QLayout::addChildWidget(QWidget*) () at /usr/lib/libQt5Widgets.so.5

#17 0x00007fffef6d127e in QStackedLayout::insertWidget(int, QWidget*) () at /usr/lib/libQt5Widgets.so.5

#18 0x00007fffef884e07 in QTabWidget::insertTab(int, QWidget*, QIcon const&, QString const&) () at /usr/lib/libQt5Widgets.so.5

#19 0x00007fffef884ed9 in QTabWidget::insertTab(int, QWidget*, QString const&) () at /usr/lib/libQt5Widgets.so.5

#20 0x00007ffff6672648 in Ui_QgsMetadataWidget::setupUi(QWidget*) (this=0x55555686e820, QgsMetadataWidget=0x55555686e7f0) at

/home/niklasmoran/dev/build-qgis-Desktop-Debug/src/ui/ui_qgsmetadatawidget.h:348

        sizePolicy = {static staticMetaObject = {d = {superdata = 0x0, stringdata = 0x7fffefa382c0, data = 0x7fffefa381a0, static_metacall = 0x0,

relatedMetaObjects = 0x0, extradata = 0x0}}, {bits = {horStretch = 0, verStretch = 0, horPolicy = 7, verPolicy = 0, ctype = 0, hfw = 0, wfh = 0,

retainSizeWhenHidden = 0}, data = 458752}}

        sizePolicy1 = {static staticMetaObject = {d = {superdata = 0x0, stringdata = 0x7fffefa382c0, data = 0x7fffefa381a0, static_metacall = 0x0,

relatedMetaObjects = 0x0, extradata = 0x0}}, {bits = {horStretch = 0, verStretch = 0, horPolicy = 7, verPolicy = 7, ctype = 0, hfw = 0, wfh = 0,

retainSizeWhenHidden = 0}, data = 7798784}}

        icon = {d = 0x7fffffffb840}

        sizePolicy2 = {static staticMetaObject = {d = {superdata = 0x0, stringdata = 0x7fffefa382c0, data = 0x7fffefa381a0, static_metacall = 0x0,

relatedMetaObjects = 0x0, extradata = 0x0}}, {bits = {horStretch = 255, verStretch = 127, horPolicy = 0, verPolicy = 0, ctype = 0, hfw = 0, wfh = 0,

retainSizeWhenHidden = 0}, data = 32767}}

        icon1 = {d = 0x7ffff3fffd7b

<QExplicitlySharedDataPointer<QgsCoordinateReferenceSystemPrivate>::operator=(QgsCoordinateReferenceSystemPrivate*)+49>}

        icon2 = {d = 0x55555686ee70}

        icon3 = {d = 0x55555686ed50}

        __qtablewidgetitem = 0x0

        __qtablewidgetitem1 = 0x55555686e7f0

        __qtablewidgetitem2 = 0x55555686ee70

        sizePolicy3 = {static staticMetaObject = {d = {superdata = 0x0, stringdata = 0x7fffefa382c0, data = 0x7fffefa381a0, static_metacall = 0x0,

relatedMetaObjects = 0x0, extradata = 0x0}}, {bits = {horStretch = 85, verStretch = 85, horPolicy = 0, verPolicy = 0, ctype = 0, hfw = 0, wfh = 0,

retainSizeWhenHidden = 0}, data = 21845}}

        __qtablewidgetitem3 = 0x7fffffffb870

        __qtablewidgetitem4 = 0x55555686ed60

        __qtablewidgetitem5 = 0x7fffffffb870

        __qtablewidgetitem6 = 0x7ffff667da56 <QgsLayerMetadata::Extent::Extent()+40>

        __qtablewidgetitem7 = 0x55555686e7f0

        __qtablewidgetitem8 = 0x55555686ed78

#21 0x00007ffff6660580 in QgsMetadataWidget::QgsMetadataWidget(QWidget*, QgsMapLayer*) (this=0x55555686e7f0,

parent=0x5555592251c0, layer=0x55555ac8baa0) at /home/niklasmoran/dev/qgis/src/gui/qgsmetadatawidget.cpp:37

        constraintheaders = {<QList<QString>> = {<QListSpecialMethods<QString>> = {<No data fields>}, {p = {static shared_null = {ref = {atomic =

{_q_value = {<std::__atomic_base<int>> = {static _S_alignment = 4, _M_i = -1}, <No data fields>}}}, alloc = 0, begin = 0, end = 0, array = {0x0}}, d

= 0x555558dfc9b0}, d = 0x555558dfc9b0}}, <No data fields>}

        headers = {<QList<QString>> = {<QListSpecialMethods<QString>> = {<No data fields>}, {p = {static shared_null = {ref = {atomic = {_q_value

= {<std::__atomic_base<int>> = {static _S_alignment = 4, _M_i = -1}, <No data fields>}}}, alloc = 0, begin = 0, end = 0, array = {0x0}}, d =

0x5d56b6c110}, d = 0x5d56b6c110}}, <No data fields>}

#22 0x00007ffff744f7ce in QgsVectorLayerProperties::QgsVectorLayerProperties(QgsVectorLayer*, QWidget*, QFlags<Qt::WindowType>)

(this=0x5555592251c0, lyr=0x55555ac8baa0, parent=0x555555b71710, fl=...) at

/home/niklasmoran/dev/qgis/src/app/qgsvectorlayerproperties.cpp:243

        actionLayout = 0x555557c20d80

        joins = @0x555555b30438: {<QListSpecialMethods<QgsVectorLayerJoinInfo>> = {<No data fields>}, {p = {static shared_null = {ref = {atomic

= {_q_value = {<std::__atomic_base<int>> = {static _S_alignment = 4, _M_i = -1}, <No data fields>}}}, alloc = 0, begin = 0, end = 0, array =

{0x0}}, d = 0x7fffd7a6b920 <glXGetCurrentDisplay>}, d = 0x7fffd7a6b920 <glXGetCurrentDisplay>}}

        myStyle = {static null = {<No data fields>}, d = 0x5555592df140}

        layer = 0xffffffffffffff68

        dependencySources = {q_hash = {{d = 0x7fffffffc420, e = 0x7fffffffc420}}}

        menuStyle = 0x5555592604f0

        metadataLayout = 0x555556b6c110
        diagLayout = 0x890

        menuMetadata = 0x5555592f96d0

        layout = 0x555555fcb720

        shortNameValidator = 0x421

        settings = {<QObject> = {<No data fields>}, static staticMetaObject = {d = {superdata = 0x7fffeab64120 <QObject::staticMetaObject>,

stringdata = 0x7ffff47c5500 <qt_meta_stringdata_QgsSettings>, data = 0x7ffff47c5540 <qt_meta_data_QgsSettings>, static_metacall =

0x7ffff465fda2 <QgsSettings::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}}, static

sGlobalSettingsPath = {static null = {<No data fields>}, d = 0x7fffea7bb7c0 <QArrayData::shared_null>}, mUserSettings = 0x860,

mGlobalSettings = 0xffffffffffffff68, mUsingGlobalArray = 62}

        title = {static null = {<No data fields>}, d = 0x555558f5b1a0}

        menu = 0x21

#23 0x00007ffff7082376 in QgisApp::showLayerProperties(QgsMapLayer*) (this=0x555555b71710, ml=0x55555ac8baa0) at

/home/niklasmoran/dev/qgis/src/app/qgisapp.cpp:12636

        vlayer = 0x55555ac8baa0

        vlp = 0x7ffff645f143 <QgsLayerTreeView::currentLayer() const+65>

#24 0x00007ffff705c0c4 in QgisApp::layerProperties() (this=0x555555b71710) at /home/niklasmoran/dev/qgis/src/app/qgisapp.cpp:7080

#25 0x00007ffff76a05b7 in QgisApp::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (_o=0x555555b71710,

_c=QMetaObject::InvokeMetaMethod, _id=24, _a=0x7fffffffc4b0) at

/home/niklasmoran/dev/build-qgis-Desktop-Debug/src/app/moc_qgisapp.cpp:1417

        _t = 0x555555b71710

#26 0x00007fffea73aee6 in QMetaObject::activate(QObject*, int, int, void**) () at /usr/lib/libQt5Core.so.5

#27 0x00007fffef6a7383 in QAction::triggered(bool) () at /usr/lib/libQt5Widgets.so.5

#28 0x00007fffef6a9c06 in QAction::activate(QAction::ActionEvent) () at /usr/lib/libQt5Widgets.so.5

#29 0x00007fffef82fc45 in  () at /usr/lib/libQt5Widgets.so.5

#30 0x00007fffef83730c in  () at /usr/lib/libQt5Widgets.so.5

#31 0x00007fffef838174 in QMenu::mouseReleaseEvent(QMouseEvent*) () at /usr/lib/libQt5Widgets.so.5

#32 0x00007fffef6ede38 in QWidget::event(QEvent*) () at /usr/lib/libQt5Widgets.so.5

#33 0x00007fffef83a4ac in QMenu::event(QEvent*) () at /usr/lib/libQt5Widgets.so.5

#34 0x00007fffef6ade3c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5

#35 0x00007fffef6b5d91 in QApplication::notify(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5

#36 0x00007ffff3f94a25 in QgsApplication::notify(QObject*, QEvent*) (this=0x7fffffffe2f0, receiver=0x555556153af0, event=0x7fffffffcb40) at

/home/niklasmoran/dev/qgis/src/core/qgsapplication.cpp:317

        done = true

        __FUNCTION__ = "notify" 

#37 0x00007fffea70a6c0 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5

#38 0x00007fffef6b4d1a in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**,

QPointer<QWidget>&, bool) () at /usr/lib/libQt5Widgets.so.5

#39 0x00007fffef708fb7 in  () at /usr/lib/libQt5Widgets.so.5

#40 0x00007fffef70b9a0 in  () at /usr/lib/libQt5Widgets.so.5

#41 0x00007fffef6ade3c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5

#42 0x00007fffef6b5816 in QApplication::notify(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5

#43 0x00007ffff3f94a25 in QgsApplication::notify(QObject*, QEvent*) (this=0x7fffffffe2f0, receiver=0x7fffcc009920, event=0x7fffffffcfb0) at

/home/niklasmoran/dev/qgis/src/core/qgsapplication.cpp:317

        done = true

        __FUNCTION__ = "notify" 

#44 0x00007fffea70a6c0 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5

#45 0x00007fffeb006634 in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) () at

/usr/lib/libQt5Gui.so.5

#46 0x00007fffeb008186 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) () at

/usr/lib/libQt5Gui.so.5

#47 0x00007fffeafdfbbc in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at

/usr/lib/libQt5Gui.so.5

#48 0x00007fffd3f772fd in  () at /usr/lib/libQt5XcbQpa.so.5
#49 0x00007fffea708d0b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5

#50 0x00007fffef834fd6 in QMenu::exec(QPoint const&, QAction*) () at /usr/lib/libQt5Widgets.so.5

#51 0x00007ffff645f3a7 in QgsLayerTreeView::contextMenuEvent(QContextMenuEvent*) (this=0x55555633e540, event=0x7fffffffd8f0) at

/home/niklasmoran/dev/qgis/src/gui/layertree/qgslayertreeview.cpp:123

        idx = {r = 18, c = 0, i = 93825066784736, m = 0x5555566a7540}

        menu = 0x555556153af0

#52 0x00007fffef6eec5b in QWidget::event(QEvent*) () at /usr/lib/libQt5Widgets.so.5

#53 0x00007fffef791b3f in QFrame::event(QEvent*) () at /usr/lib/libQt5Widgets.so.5

#54 0x00007fffef910244 in QAbstractItemView::viewportEvent(QEvent*) () at /usr/lib/libQt5Widgets.so.5

#55 0x00007fffef979e0d in QTreeView::viewportEvent(QEvent*) () at /usr/lib/libQt5Widgets.so.5

#56 0x00007fffea70a38c in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5

#57 0x00007fffef6ade18 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5

#58 0x00007fffef6b65c0 in QApplication::notify(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5

#59 0x00007ffff3f94a25 in QgsApplication::notify(QObject*, QEvent*) (this=0x7fffffffe2f0, receiver=0x555556345f70, event=0x7fffffffd8f0) at

/home/niklasmoran/dev/qgis/src/core/qgsapplication.cpp:317

        done = true

        __FUNCTION__ = "notify" 

#60 0x00007fffea70a6c0 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5

#61 0x00007fffef7093c2 in  () at /usr/lib/libQt5Widgets.so.5

#62 0x00007fffef70b9a0 in  () at /usr/lib/libQt5Widgets.so.5

#63 0x00007fffef6ade3c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5

#64 0x00007fffef6b5816 in QApplication::notify(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5

#65 0x00007ffff3f94a25 in QgsApplication::notify(QObject*, QEvent*) (this=0x7fffffffe2f0, receiver=0x555555f177a0, event=0x7fffffffdd60) at

/home/niklasmoran/dev/qgis/src/core/qgsapplication.cpp:317

        done = true

        __FUNCTION__ = "notify" 

#66 0x00007fffea70a6c0 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5

#67 0x00007fffeb006634 in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) () at

/usr/lib/libQt5Gui.so.5

#68 0x00007fffeb008186 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) () at

/usr/lib/libQt5Gui.so.5

#69 0x00007fffeafdfbbc in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at

/usr/lib/libQt5Gui.so.5

#70 0x00007fffd3f772fd in  () at /usr/lib/libQt5XcbQpa.so.5

#71 0x00007fffea708d0b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5

#72 0x00007fffea711ff8 in QCoreApplication::exec() () at /usr/lib/libQt5Core.so.5

#73 0x000055555556760a in main(int, char**) (argc=1, argv=0x7fffffffe768) at /home/niklasmoran/dev/qgis/src/app/main.cpp:1431

        profile = 0x555555b6c640

        presetStyle = {static null = {<No data fields>}, d = 0x7fffea7bb7c0 <QArrayData::shared_null>}

        myLocaleOverrideFlag = false

        qgistor = <incomplete type>

        w = 600

        mySplashPath = {static null = {<No data fields>}, d = 0x7ffff46d9b80 <QgsApplication::splashPath()::{lambda()#1}::operator()()

const::qstring_literal>}

        h = 300

        mypSplash = 0x555555cfb300

        qgis = 0x555555b71710

        retval = -134224808

        manager = {<QObject> = {<No data fields>}, static staticMetaObject = {d = {superdata = 0x7fffeab64120 <QObject::staticMetaObject>,

stringdata = 0x7ffff47d2e60 <qt_meta_stringdata_QgsUserProfileManager>, data = 0x7ffff47d2ee0 <qt_meta_data_QgsUserProfileManager>,

static_metacall = 0x7ffff46749f0 <QgsUserProfileManager::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects =

0x0, extradata = 0x0}}, mWatchProfiles = false, mWatcher = std::unique_ptr<QFileSystemWatcher> containing 0x0, mRootProfilePath = {static

null = {<No data fields>}, d = 0x555555b6ac90}, mUserProfile = std::unique_ptr<QgsUserProfile> containing 0x0, mSettings =
std::unique_ptr<QSettings> containing 0x555555b6f030}

        profileFolder = {static null = {<No data fields>}, d = 0x555555b708e0}

        settings = {<QObject> = {<No data fields>}, static staticMetaObject = {d = {superdata = 0x7fffeab64120 <QObject::staticMetaObject>,

stringdata = 0x7ffff47c5500 <qt_meta_stringdata_QgsSettings>, data = 0x7ffff47c5540 <qt_meta_data_QgsSettings>, static_metacall =

0x7ffff465fda2 <QgsSettings::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}}, static

sGlobalSettingsPath = {static null = {<No data fields>}, d = 0x7fffea7bb7c0 <QArrayData::shared_null>}, mUserSettings = 0x555555b6c640,

mGlobalSettings = 0x0, mUsingGlobalArray = false}

        mySettings = {<QObject> = {<No data fields>}, static staticMetaObject = {d = {superdata = 0x7fffeab64120 <QObject::staticMetaObject>,

stringdata = 0x7ffff47c5500 <qt_meta_stringdata_QgsSettings>, data = 0x7ffff47c5540 <qt_meta_data_QgsSettings>, static_metacall =

0x7ffff465fda2 <QgsSettings::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}}, static

sGlobalSettingsPath = {static null = {<No data fields>}, d = 0x7fffea7bb7c0 <QArrayData::shared_null>}, mUserSettings = 0x555555c2cdb0,

mGlobalSettings = 0x0, mUsingGlobalArray = false}

        systemEnvVars = {d = 0x555555c13890}

        activeStyleName = {static null = {<No data fields>}, d = 0x555555df8490}

        i18nPath = {static null = {<No data fields>}, d = 0x555555d97f30}

        myUserLocale = {static null = {<No data fields>}, d = 0x555555beef00}

        qttor = <incomplete type>

        myApp = {<QApplication> = {<No data fields>}, static staticMetaObject = {d = {superdata = 0x7fffefd845a0

<QApplication::staticMetaObject>, stringdata = 0x7ffff47b3000 <qt_meta_stringdata_QgsApplication>, data = 0x7ffff47b3160

<qt_meta_data_QgsApplication>, static_metacall = 0x7ffff4643c90 <QgsApplication::qt_static_metacall(QObject*, QMetaObject::Call, int,

void**)>, relatedMetaObjects = 0x0, extradata = 0x0}}, static QGIS_ORGANIZATION_NAME = 0x7ffff46d8f68 "QGIS", static

QGIS_ORGANIZATION_DOMAIN = 0x7ffff46d8f6d "qgis.org", static QGIS_APPLICATION_NAME = 0x7ffff46d8f76 "QGIS3", static

mFileOpenEventReceiver29900 = 0x555555b71710, static mFileOpenEventList29900 = {<QList<QString>> =

{<QListSpecialMethods<QString>> = {<No data fields>}, {p = {static shared_null = {ref = {atomic = {_q_value = {<std::__atomic_base<int>> =

{static _S_alignment = 4, _M_i = -1}, <No data fields>}}}, alloc = 0, begin = 0, end = 0, array = {0x0}}, d = 0x7fffea7bd8c0

<QListData::shared_null>}, d = 0x7fffea7bd8c0 <QListData::shared_null>}}, <No data fields>}, static mUIThemeName29900 = {static null = {<No

data fields>}, d = 0x7fffea7bb7c0 <QArrayData::shared_null>}, static mPrefixPath29900 = {static null = <same as static member of an already

seen type>, d = 0x7fffea7bb7c0 <QArrayData::shared_null>}, static mPluginPath29900 = {static null = <same as static member of an already seen

type>, d = 0x555555c1d330}, static mPkgDataPath29900 = {static null = <same as static member of an already seen type>, d =

0x555555be7480}, static mLibraryPath29900 = {static null = <same as static member of an already seen type>, d = 0x555555c13a70}, static

mLibexecPath29900 = {static null = <same as static member of an already seen type>, d = 0x555555c13b80}, static mThemeName29900 =

{static null = <same as static member of an already seen type>, d = 0x7ffff46d9720 <QgsApplication::setUITheme(QString

const&)::{lambda()#2}::operator()() const::qstring_literal>}, static mDefaultSvgPaths29900 = {<QList<QString>> =

{<QListSpecialMethods<QString>> = {<No data fields>}, {p = {static shared_null = {ref = {atomic = {_q_value = {<std::__atomic_base<int>> =

{static _S_alignment = 4, _M_i = -1}, <No data fields>}}}, alloc = 0, begin = 0, end = 0, array = {0x0}}, d = 0x555556f08070}, d =

0x555556f08070}}, <No data fields>}, static mSystemEnvVars29900 = {d = 0x555555c13890}, static mConfigPath29900 = {static null = {<No

data fields>}, d = 0x555555bdbf20}, static mRunningFromBuildDir29900 = true, static mBuildSourcePath29900 = {static null = <same as static

member of an already seen type>, d = 0x555555be7480}, static mBuildOutputPath29900 = {static null = <same as static member of an already

seen type>, d = 0x555555c162f0}, static mGdalSkipList29900 = {<QList<QString>> = {<QListSpecialMethods<QString>> = {<No data fields>}, {p

= {static shared_null = {ref = {atomic = {_q_value = {<std::__atomic_base<int>> = {static _S_alignment = 4, _M_i = -1}, <No data fields>}}}, alloc =

0, begin = 0, end = 0, array = {0x0}}, d = 0x7fffea7bd8c0 <QListData::shared_null>}, d = 0x7fffea7bd8c0 <QListData::shared_null>}}, <No data

fields>}, static mMaxThreads29900 = -1, static mAuthDbDirPath29900 = {static null = {<No data fields>}, d = 0x555555bdbf20}, static sUserName

= {static null = <same as static member of an already seen type>, d = 0x555556498140}, static sUserFullName = {static null = <same as static

member of an already seen type>, d = 0x5555566e5360}, static sPlatformName = {static null = <same as static member of an already seen type>,

d = 0x555555b6cad0}, mIconCache = {d = 0x555556336e00}, mCursorCache = {d = 0x555556339010}, mDataItemProviderRegistry =

0x5555560bed70, mAuthManager = 0x55555605d020, mApplicationMembers = 0x555555be0e20, static sApplicationMembers = 0x0}

        customizationsettings = 0x555555c287d0

        useCustomVars = false

        myPixmap = <incomplete type>

        __FUNCTION__ = "main" 

        mySnapshotFileName = {static null = {<No data fields>}, d = 0x7fffea7bb7c0 <QArrayData::shared_null>}

        configLocalStorageLocation = {static null = {<No data fields>}, d = 0x555555b6f4b0}

        profileName = {static null = {<No data fields>}, d = 0x555555b6fc10}
        mySnapshotWidth = 800

        mySnapshotHeight = 600

        myHideSplash = false

        mySettingsMigrationForce = false

        mySkipVersionCheck = false

        myRestoreDefaultWindowState = false

        myRestorePlugins = true

        myCustomization = true

        dxfOutputFile = {static null = {<No data fields>}, d = 0x7fffea7bb7c0 <QArrayData::shared_null>}

        dxfSymbologyMode = QgsDxfExport::SymbolLayerSymbology

        dxfScale = 50000

        dxfEncoding = {static null = {<No data fields>}, d = 0x55555556f9c0 <main::{lambda()#1}::operator()() const::qstring_literal>}

        dxfMapTheme = {static null = {<No data fields>}, d = 0x7fffea7bb7c0 <QArrayData::shared_null>}

        dxfExtent = {mXmin = 0, mYmin = 0, mXmax = 0, mYmax = 0}

        myInitialExtent = {static null = {<No data fields>}, d = 0x55555556fa00 <main::{lambda()#2}::operator()() const::qstring_literal>}

        myTranslationCode = {static null = {<No data fields>}, d = 0x555555c28e50}

        configpath = {static null = {<No data fields>}, d = 0x7fffea7bb7c0 <QArrayData::shared_null>}

        authdbdirectory = {static null = {<No data fields>}, d = 0x7fffea7bb7c0 <QArrayData::shared_null>}

        pythonfile = {static null = {<No data fields>}, d = 0x7fffea7bb7c0 <QArrayData::shared_null>}

        customizationfile = {static null = {<No data fields>}, d = 0x555555bf8a20}

        globalsettingsfile = {static null = {<No data fields>}, d = 0x7fffea7bb7c0 <QArrayData::shared_null>}

        args = {<QList<QString>> = {<QListSpecialMethods<QString>> = {<No data fields>}, {p = {static shared_null = {ref = {atomic = {_q_value =

{<std::__atomic_base<int>> = {static _S_alignment = 4, _M_i = -1}, <No data fields>}}}, alloc = 0, begin = 0, end = 0, array = {0x0}}, d =

0x555555b6aa70}, d = 0x555555b6aa70}}, <No data fields>}

        myUseGuiFlag = true

        globalSettings = 0x555555b6f030

        rootProfileFolder = {static null = {<No data fields>}, d = 0x555555b6ac90}

#11 - 2018-01-27 09:25 PM - Jürgen Fischer

- Description updated

#12 - 2018-01-29 06:57 PM - Alessandro Pasotti

- Category changed from Data Source Manager to GUI

#13 - 2018-02-09 11:00 AM - Alessandro Pasotti

I cannot reproduce neither on Linux nor Windows 10 64bit (built with mxe 64bit and Qt 5.10 )

Compiled against Qt

5.10.0

Running against Qt

5.10.0

Compiled against GDAL/OGR

2.2.3

Running against GDAL/OGR

2.2.3

Compiled against GEOS

3.6.2-CAPI-1.10.2

Running against GEOS

3.6.2-CAPI-1.10.2 4d2925d6

PostgreSQL Client Version
9.2.4

SpatiaLite Version

4.4.0-RC1

QWT Version

6.1.3

PROJ.4 Version

493

QScintilla2 Version

2.10.1

#14 - 2018-02-09 11:24 PM - Salvatore Larosa

I can confirm on macos, the workaround proposed here https://github.com/qgis/QGIS/pull/6301 fixes the issues either the crash with options dialog that the

hangs in the vector properties.

QGIS code revision

2ee0bc87ca

Compiled against Qt

5.10.0

Running against Qt

5.10.0

Compiled against GDAL/OGR

2.2.3

Running against GDAL/OGR

2.2.3

Compiled against GEOS

3.6.2-CAPI-1.10.2

Running against GEOS

3.6.2-CAPI-1.10.2 4d2925d6

PostgreSQL Client Version

10.1

SpatiaLite Version

4.3.0a

QWT Version

6.1.3

PROJ.4 Version

493

QScintilla2 Version

2.10.2

This copy of QGIS writes debugging output.

#15 - 2018-02-14 09:15 AM - Jürgen Fischer

- Related to Bug report #18096: [2.99/3 ec86fcb] Layer properties does not open, freezes QGIS added

#16 - 2018-02-14 09:15 AM - Jürgen Fischer

- Related to deleted (Bug report #18096: [2.99/3 ec86fcb] Layer properties does not open, freezes QGIS)

#17 - 2018-02-14 09:15 AM - Jürgen Fischer

- Duplicated by Bug report #18096: [2.99/3 ec86fcb] Layer properties does not open, freezes QGIS added

#18 - 2018-02-19 01:49 PM - Johannes Kroeger
Could not replicate, moment when it crashed is foggy (some hours ago). It was in close "temporal relation" to adding a vector layer or zooming/panning

around in it so it might fit here.

Thread 1 "qgis-git" received signal SIGSEGV, Segmentation fault.

0x00007ffff5c3855c in QWidget::~QWidget() () from /usr/lib/libQt5Widgets.so.5

(gdb) bt

#0  0x00007ffff5c3855c in QWidget::~QWidget() () at /usr/lib/libQt5Widgets.so.5

#1  0x00007ffff5d05a6a in QComboBox::~QComboBox() () at /usr/lib/libQt5Widgets.so.5

#2  0x00007ffff4eb0bbd in QObjectPrivate::deleteChildren() () at /usr/lib/libQt5Core.so.5

#3  0x00007ffff5c38715 in QWidget::~QWidget() () at /usr/lib/libQt5Widgets.so.5

#4  0x00007ffff25f1619 in QgsCollapsibleGroupBox::~QgsCollapsibleGroupBox() (this=0x555559bbeb10, __in_chrg=<optimized out>)

    at /tmp/qgis-git/src/qgis/src/gui/qgscollapsiblegroupbox.cpp:492

#5  0x00007ffff4eb0bbd in QObjectPrivate::deleteChildren() () at /usr/lib/libQt5Core.so.5

#6  0x00007ffff5c38715 in QWidget::~QWidget() () at /usr/lib/libQt5Widgets.so.5

#7  0x00007ffff5c3897a in QWidget::~QWidget() () at /usr/lib/libQt5Widgets.so.5

#8  0x00007ffff4eb0bbd in QObjectPrivate::deleteChildren() () at /usr/lib/libQt5Core.so.5

#9  0x00007ffff5c38715 in QWidget::~QWidget() () at /usr/lib/libQt5Widgets.so.5

#10 0x00007ffff5c3897a in QWidget::~QWidget() () at /usr/lib/libQt5Widgets.so.5

#11 0x00007ffff4eb0bbd in QObjectPrivate::deleteChildren() () at /usr/lib/libQt5Core.so.5

#12 0x00007ffff5c38715 in QWidget::~QWidget() () at /usr/lib/libQt5Widgets.so.5

#13 0x00007ffff2804fae in QgsScrollArea::~QgsScrollArea() (this=0x55555c6562f0, __in_chrg=<optimized out>)

    at /tmp/qgis-git/src/qgis/build/src/gui/../../../src/gui/qgsscrollarea.h:41

#14 0x00007ffff2804fae in QgsScrollArea::~QgsScrollArea() (this=0x55555c6562f0, __in_chrg=<optimized out>)

    at /tmp/qgis-git/src/qgis/build/src/gui/../../../src/gui/qgsscrollarea.h:41

#15 0x00007ffff4eb0bbd in QObjectPrivate::deleteChildren() () at /usr/lib/libQt5Core.so.5

#16 0x00007ffff5c38715 in QWidget::~QWidget() () at /usr/lib/libQt5Widgets.so.5

#17 0x00007ffff5c3897a in QWidget::~QWidget() () at /usr/lib/libQt5Widgets.so.5

#18 0x00007ffff4eb0bbd in QObjectPrivate::deleteChildren() () at /usr/lib/libQt5Core.so.5

#19 0x00007ffff5c38715 in QWidget::~QWidget() () at /usr/lib/libQt5Widgets.so.5

#20 0x00007ffff5db11fa in QStackedWidget::~QStackedWidget() () at /usr/lib/libQt5Widgets.so.5

#21 0x00007ffff4eb0bbd in QObjectPrivate::deleteChildren() () at /usr/lib/libQt5Core.so.5

#22 0x00007ffff5c38715 in QWidget::~QWidget() () at /usr/lib/libQt5Widgets.so.5

#23 0x00007ffff5ce045a in QFrame::~QFrame() () at /usr/lib/libQt5Widgets.so.5

#24 0x00007ffff4eb0bbd in QObjectPrivate::deleteChildren() () at /usr/lib/libQt5Core.so.5

#25 0x00007ffff5c38715 in QWidget::~QWidget() () at /usr/lib/libQt5Widgets.so.5

#26 0x00007ffff5db048a in QSplitter::~QSplitter() () at /usr/lib/libQt5Widgets.so.5

#27 0x00007ffff4eb0bbd in QObjectPrivate::deleteChildren() () at /usr/lib/libQt5Core.so.5

#28 0x00007ffff5c38715 in QWidget::~QWidget() () at /usr/lib/libQt5Widgets.so.5

#29 0x00007ffff2708ab7 in QgsOptionsDialogBase::~QgsOptionsDialogBase() (this=0x55555ed5b560, __in_chrg=<optimized out>)

    at /tmp/qgis-git/src/qgis/src/gui/qgsoptionsdialogbase.cpp:51

#30 0x00007ffff7604959 in QgsOptions::~QgsOptions() (this=0x55555ed5b560, __in_chrg=<optimized out>)

    at /tmp/qgis-git/src/qgis/src/app/qgsoptions.cpp:991

#31 0x00007ffff740b971 in std::default_delete<QgsOptions>::operator()(QgsOptions*) const (this=<optimized out>, __ptr=0x55555ed5b560)

    at /usr/include/c++/7.2.1/bits/unique_ptr.h:78

#32 0x00007ffff740b971 in std::unique_ptr<QgsOptions, std::default_delete<QgsOptions> >::~unique_ptr() (this=<synthetic pointer>,

__in_chrg=<optimized out>) at /usr/include/c++/7.2.1/bits/unique_ptr.h:268

#33 0x00007ffff740b971 in QgisApp::showOptionsDialog(QWidget*, QString const&) (this=0x555555e97fa0, parent=<optimized out>,

currentPage=...)

    at /tmp/qgis-git/src/qgis/src/app/qgisapp.cpp:9689

#34 0x00007ffff740c00f in QgisApp::options() (this=<optimized out>) at /tmp/qgis-git/src/qgis/src/app/qgisapp.cpp:9674

#35 0x00007ffff4eb319f in QMetaObject::activate(QObject*, int, int, void**) () at /usr/lib/libQt5Core.so.5

#36 0x00007ffff5bf6413 in QAction::triggered(bool) () at /usr/lib/libQt5Widgets.so.5

#37 0x00007ffff5bf8c96 in QAction::activate(QAction::ActionEvent) () at /usr/lib/libQt5Widgets.so.5
#38 0x00007ffff5d7f165 in  () at /usr/lib/libQt5Widgets.so.5

#39 0x00007ffff5d8682c in  () at /usr/lib/libQt5Widgets.so.5

#40 0x00007ffff5d87694 in QMenu::mouseReleaseEvent(QMouseEvent*) () at /usr/lib/libQt5Widgets.so.5

#41 0x00007ffff5c3cfc8 in QWidget::event(QEvent*) () at /usr/lib/libQt5Widgets.so.5

#42 0x00007ffff5d899cc in QMenu::event(QEvent*) () at /usr/lib/libQt5Widgets.so.5

#43 0x00007ffff5bfcecc in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5

#44 0x00007ffff5c04e21 in QApplication::notify(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5

#45 0x00007ffff678549b in QgsApplication::notify(QObject*, QEvent*) (this=0x7fffffffe380, receiver=0x555555e2c5f0, event=0x7fffffffd260)

    at /tmp/qgis-git/src/qgis/src/core/qgsapplication.cpp:317

#46 0x00007ffff4e82850 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5

#47 0x00007ffff5d872d5 in  () at /usr/lib/libQt5Widgets.so.5

#48 0x00007ffff5d87536 in QMenu::mouseReleaseEvent(QMouseEvent*) () at /usr/lib/libQt5Widgets.so.5

#49 0x00007ffff5c3cfc8 in QWidget::event(QEvent*) () at /usr/lib/libQt5Widgets.so.5

#50 0x00007ffff5d899cc in QMenu::event(QEvent*) () at /usr/lib/libQt5Widgets.so.5

#51 0x00007ffff5bfcecc in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5

#52 0x00007ffff5c04e21 in QApplication::notify(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5

#53 0x00007ffff678549b in QgsApplication::notify(QObject*, QEvent*) (this=0x7fffffffe380, receiver=0x555556475f40, event=0x7fffffffd820)

    at /tmp/qgis-git/src/qgis/src/core/qgsapplication.cpp:317

#54 0x00007ffff4e82850 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5

#55 0x00007ffff5c03daa in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**,

QPointer<QWidget>&, bool) ()

    at /usr/lib/libQt5Widgets.so.5

#56 0x00007ffff5c58147 in  () at /usr/lib/libQt5Widgets.so.5

#57 0x00007ffff5c5ab30 in  () at /usr/lib/libQt5Widgets.so.5

#58 0x00007ffff5bfcecc in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5

#59 0x00007ffff5c048a6 in QApplication::notify(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5

#60 0x00007ffff678549b in QgsApplication::notify(QObject*, QEvent*) (this=0x7fffffffe380, receiver=0x55555ee25300, event=0x7fffffffdc70)

    at /tmp/qgis-git/src/qgis/src/core/qgsapplication.cpp:317

#61 0x00007ffff4e82850 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5

#62 0x00007ffff53f3634 in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) () at

/usr/lib/libQt5Gui.so.5

#63 0x00007ffff53f5186 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) ()

    at /usr/lib/libQt5Gui.so.5

#64 0x00007ffff53ccbbc in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at

/usr/lib/libQt5Gui.so.5

#65 0x00007fffd4dc22ed in  () at /usr/lib/libQt5XcbQpa.so.5

#66 0x00007ffff4e80e9b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5

#67 0x00007ffff4e8a188 in QCoreApplication::exec() () at /usr/lib/libQt5Core.so.5

#68 0x000055555555cefc in main(int, char**) (argc=<optimized out>, argv=<optimized out>)

    at /tmp/qgis-git/src/qgis/src/app/main.cpp:1431

#19 - 2018-02-20 06:04 AM - Nyall Dawson

- Status changed from Open to Closed

- Resolution set to fixed/implemented

Fixed in master
